///////////////////////////////
//------Scoped Bravo 51------//
//--------with a new---------//
//-----Retextured Sniper-----//
//----"US Woodland Sniper"---//
//----                    ---//
//---By: Ghost in the Grass--//
///////////////////////////////
//			     //
// I would also like to give //
// credit to the 3D modeler  //
//       "FILO"              //
///////////////////////////////
// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot				0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted		65536

class CfgPatches
{
	class bravo51
	{
		units[] = {};
		weapons[] = {bravo51};
		requiredVersion = 1.30;
	};
	class forestsniper
	{
		units[] = {forestsniper};
		weapons[] = {};
		requiredVersion = 1.30;
	};
};
class CfgRecoils 
{
	 bravo1recoil[]={0.1,0.1,0,0.1,0,0}; 
 };
class CfgWeapons
	{
	class Default	{};
	class MGun: Default {};
	class Riffle: MGun {};
	class M21: Riffle{};
	class bravo51: M21
	{
		scopeWeapon=2;
   		scopeMagazine=2;
		model="\br51\bravo51.p3d";
 		modelOptics="\br51\optics.p3d";
		picture="\br51\ts\bravo51.paa";
		weapontype=1;
		optics = true;
		opticsZoomMin=0.01;
		opticsZoomMax=0.5;
		distanceZoomMin=2000;
		distanceZoomMax=80;
		displayName = Scoped Bravo-51;
		displayNameMagazine = Bravo Mag.;
		shortNameMagazine = Bravo Mag.;
		sound[]={\br51\shot.wav,0.003,1};
		reloadMagazineSound[]={\br51\reload.wav,db-40,1};
		drySound[]={\br51\empty.wav,db-40,1};
		initspeed=5000;
		ammo="bravo51ammo";
          	multiplier=1;
		burst=1;
		count=12;
		opticsFlare=0;
		flashSize=0;
		dispersion=0.0001;
		simulation="shotsmoke";
		reloadTime=0.9;
		autofire=0;
		recoil="bravo1recoil";
		accuracy=1000;
		aiRateOfFire=0.005;
		aiRateOfFireDistance=2500;
	};
};
class CfgAmmo
{
	class Default	{};
	class BulletSingle: default	{};
	class BulletSilencedSingle: BulletSingle	{};
	class bravo51ammo: BulletSilencedSingle
{
	hit=14;
	indirecthit=1;
	indirecthitrange=0.5;
	visiblefire=0.01;
	tracerColor[]={0.5,0.5,0,1};
	};
};
class CfgVehicles
{
	class All{};
	class AllVehicles : All{};
	class Land : AllVehicles{};
	class Man : Land{};
	class Soldier : Man{};
	class SoldierWB : Soldier{};
	class SoldierWSniper : SoldierWB{};
	class forestsniper : SoldierWSniper
{
	displayName="US Woodland Sniper";
	model="\br51\sniper.p3d";
	picture="\br51\ts\sniper.paa";
	attendant= 1;
	hiddenSelections[]={"medic"};
	laserscanner=1;
	irscanground=1;
	irscanrange=10000;
	namesound= "sniper"
	moves="CfgMovesMC";
	canhidebodies= 1;
	camoflage= 0.1;
	weapons[]={bravo51,NVGoggles,Throw,Put};
	magazines[]={bravo51,bravo51,bravo51,bravo51,pipebomb,pipebomb,pipebomb};
   };
};
class CfgFaces
{
	class sniper
	{
		name="Sniper";
		texture="\br51\ts\xicht_a.paa";
		east=0;
		west=1;
	};
};